package de.jottyfan.minecraft.quickiefabric.blockentity;

import net.minecraft.block.BlockState;
import net.minecraft.block.entity.BlockEntity;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

/**
 * 
 * @author jotty
 *
 */
public class DrillBlockEastEntity extends BlockEntity {
	private static final Integer MAXDRILLSTEP = 24;
	private Integer drillstep;

	public DrillBlockEastEntity(BlockPos pos, BlockState state) {
		super(QuickieFabricBlockEntity.DRILL_EAST, pos, state);
	}

	public static void tick(World world, BlockPos pos, BlockState state, BlockEntity be) {
		if (be instanceof DrillBlockEastEntity) {
			DrillBlockEastEntity dbwe = (DrillBlockEastEntity) be;
			if (dbwe.getDrillstep() < 1) {
				dbwe.setDrillstep(MAXDRILLSTEP);
				DrillBlockDownEntity.drill(pos, pos.east().down(), world);
			}
		}
	}
	
	public Integer getDrillstep() {
		return drillstep == null ? MAXDRILLSTEP : drillstep;
	}

	public void setDrillstep(Integer drillstep) {
		this.drillstep = drillstep;
	}
}
